org.eclipse.jetty.deploy.jmx

## Class DeploymentManagerMBean

- java.lang.Object
- - org.eclipse.jetty.jmx.ObjectMBean
  - - org.eclipse.jetty.deploy.jmx.DeploymentManagerMBean

- All Implemented Interfaces:
    javax.management.DynamicMBean

      public class DeploymentManagerMBean
      extends ObjectMBean

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean

      `_managed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentManagerMBean(java.lang.Object managedObject)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<AppProvider>` | `getAppProviders()`
    `java.util.Collection<java.lang.String>` | `getApps()`
    `java.util.Collection<java.lang.String>` | `getApps(java.lang.String nodeName)`
    `java.util.Collection<ContextHandler>` | `getContexts()`
    `java.util.Collection<java.lang.String>` | `getNodes()`
    `void` | `requestAppGoal(java.lang.String appId, java.lang.String nodeName)`

    - ### Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean

      `defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectContextBasis, getObjectName, getObjectNameBasis, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentManagerMBean

          public DeploymentManagerMBean(java.lang.Object managedObject)

  - ### Method Detail

    - #### getNodes

          public java.util.Collection<java.lang.String> getNodes()

    - #### getApps

          public java.util.Collection<java.lang.String> getApps()

    - #### getApps

          public java.util.Collection<java.lang.String> getApps(java.lang.String nodeName)

    - #### getContexts

          public java.util.Collection<ContextHandler> getContexts()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getAppProviders

          public java.util.Collection<AppProvider> getAppProviders()

    - #### requestAppGoal

          public void requestAppGoal(java.lang.String appId,
                            java.lang.String nodeName)

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.